<?php

use Opencartvip\Opencart\ModuleController;

class ControllerOpencartvipHeaderNotice extends ModuleController {

	public function index($args) {
		$data = parent::index($args);

		$this->opencartvip->document->addJs(array('headerNotice' => array(array(
			'm' => $this->module_id,
			'c' => $this->settings['cookie'],
		))));

		return $data;
	}

	/**
	 * @param \Opencartvip\Options\Parser $parser
	 * @param $index
	 * @return array
	 */
	protected function parseGeneralSettings($parser, $index) {
		$data = array(
			'options' => $parser->getJs(),
		);

		return $data;
	}

	/**
	 * @param \Opencartvip\Options\Parser $parser
	 * @param $index
	 * @return array
	 */
	protected function parseItemSettings($parser, $index) {
		return array();
	}

	/**
	 * @param \Opencartvip\Options\Parser $parser
	 * @param $index
	 * @return array
	 */
	protected function parseSubitemSettings($parser, $index) {
		return array();
	}

}
